Subject: Re: [PATCH] rtnetlink: make SR-IOV VF interface symmetric

From: Chris Wright <[email-masked]>
Date: Mon, 17 May 2010 09:07:32 -0700

* Williams, Mitch A ([email-masked]) wrote:
> >-----Original Message-----
> >From: Stephen Hemminger [mailto:[email-masked]]
> >Sent: Monday, May 17, 2010 9:00 AM
> >To: Chris Wright
> >Cc: [email-masked]; [email-masked]; Williams, Mitch A;
> >[email-masked]; [email-masked]; [email-masked]
> >Subject: Re: [PATCH] rtnetlink: make SR-IOV VF interface symmetric
> >
> >On Fri, 14 May 2010 20:14:16 -0700
> >Chris Wright <[email-masked]> wrote:
> >
> >> Now we have a set of nested attributes:
> >>
> >>   IFLA_VFINFO_LIST (NESTED)
> >>     IFLA_VF_INFO (NESTED)
> >>       IFLA_VF_MAC
> >>       IFLA_VF_VLAN
> >>       IFLA_VF_TX_RATE
> >>
> >> This allows a single set to operate on multiple attributes if desired.
> >> Among other things, it means a dump can be replayed to set state.
> >>
> >> The current interface has yet to be released, so this seems like
> >> something to consider for 2.6.34.
> >>
> >> Signed-off-by: Chris Wright <[email-masked]
> >> ---
> >
> >iproute2 update please?
> >
> >Also I would really like documentation on this.

And a pony? ;-)

Docs in what form?

> Chris, have you got the iproute2 parts working, or do I need to pick it up?
> 
> Thanks again for your work on this.

I've got those bits, just was waiting until patches merged.
Will send them out this afternoon.

thanks,
-chris